org.h2.jdbc.meta

## Class DatabaseMetaLegacy

- java.lang.Object
- - org.h2.jdbc.meta.DatabaseMeta
  - - org.h2.jdbc.meta.DatabaseMetaLegacy

    public final class DatabaseMetaLegacy
    extends DatabaseMeta

Legacy implementation of database meta information.

### Constructor Summary

Constructors
Constructor and Description
`DatabaseMetaLegacy(Session session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultNullOrdering` `defaultNullOrdering()` INTERNAL
`ResultInterface` `getAttributes(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, java.lang.String attributeNamePattern)` INTERNAL
`ResultInterface` `getBestRowIdentifier(java.lang.String catalogPattern, java.lang.String schemaPattern, java.lang.String tableName, int scope, boolean nullable)` INTERNAL
`ResultInterface` `getCatalogs()` INTERNAL
`ResultInterface` `getColumnPrivileges(java.lang.String catalog, java.lang.String schema, java.lang.String table, java.lang.String columnNamePattern)` INTERNAL
`ResultInterface` `getColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)` INTERNAL
`ResultInterface` `getCrossReference(java.lang.String primaryCatalog, java.lang.String primarySchema, java.lang.String primaryTable, java.lang.String foreignCatalog, java.lang.String foreignSchema, java.lang.String foreignTable)` INTERNAL
`int` `getDatabaseMajorVersion()` INTERNAL
`int` `getDatabaseMinorVersion()` INTERNAL
`java.lang.String` `getDatabaseProductVersion()` INTERNAL
`ResultInterface` `getExportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL
`ResultInterface` `getFunctionColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern, java.lang.String columnNamePattern)` INTERNAL
`ResultInterface` `getFunctions(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String functionNamePattern)` INTERNAL
`ResultInterface` `getImportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL
`ResultInterface` `getIndexInfo(java.lang.String catalog, java.lang.String schema, java.lang.String table, boolean unique, boolean approximate)` INTERNAL
`java.lang.String` `getNumericFunctions()` INTERNAL
`ResultInterface` `getPrimaryKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL
`ResultInterface` `getProcedureColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern, java.lang.String columnNamePattern)` INTERNAL
`ResultInterface` `getProcedures(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern)` INTERNAL
`ResultInterface` `getPseudoColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)` INTERNAL
`ResultInterface` `getSchemas()` INTERNAL
`ResultInterface` `getSchemas(java.lang.String catalog, java.lang.String schemaPattern)` INTERNAL
`java.lang.String` `getSearchStringEscape()` INTERNAL
`java.lang.String` `getSQLKeywords()` INTERNAL
`java.lang.String` `getStringFunctions()` INTERNAL
`ResultInterface` `getSuperTables(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)` INTERNAL
`ResultInterface` `getSuperTypes(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern)` INTERNAL
`java.lang.String` `getSystemFunctions()` INTERNAL
`ResultInterface` `getTablePrivileges(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)` INTERNAL
`ResultInterface` `getTables(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String[] types)` INTERNAL
`ResultInterface` `getTableTypes()` INTERNAL
`java.lang.String` `getTimeDateFunctions()` INTERNAL
`ResultInterface` `getTypeInfo()` INTERNAL
`ResultInterface` `getUDTs(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, int[] types)` INTERNAL
`ResultInterface` `getVersionColumns(java.lang.String catalog, java.lang.String schema, java.lang.String table)` INTERNAL

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabaseMetaLegacy

    public DatabaseMetaLegacy(Session session)

### Method Detail

#### defaultNullOrdering

    public final DefaultNullOrdering defaultNullOrdering()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `defaultNullOrdering` in class `DatabaseMeta`
Returns:
  DefaultNullOrdering
See Also:
  `DatabaseMetaData.nullsAreSortedHigh()`, `DatabaseMetaData.nullsAreSortedLow()`, `DatabaseMetaData.nullsAreSortedAtStart()`, `DatabaseMetaData.nullsAreSortedAtEnd()`

#### getSQLKeywords

    public java.lang.String getSQLKeywords()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSQLKeywords` in class `DatabaseMeta`
Returns:
  list of supported SQL keywords
See Also:
  `DatabaseMetaData.getSQLKeywords()`

#### getNumericFunctions

    public java.lang.String getNumericFunctions()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getNumericFunctions` in class `DatabaseMeta`
Returns:
  list of supported numeric functions
See Also:
  `DatabaseMetaData.getNumericFunctions()`

#### getStringFunctions

    public java.lang.String getStringFunctions()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getStringFunctions` in class `DatabaseMeta`
Returns:
  list of supported string functions
See Also:
  `DatabaseMetaData.getStringFunctions()`

#### getSystemFunctions

    public java.lang.String getSystemFunctions()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSystemFunctions` in class `DatabaseMeta`
Returns:
  list of supported system functions
See Also:
  `DatabaseMetaData.getSystemFunctions()`

#### getTimeDateFunctions

    public java.lang.String getTimeDateFunctions()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTimeDateFunctions` in class `DatabaseMeta`
Returns:
  list of supported time/date functions
See Also:
  `DatabaseMetaData.getTimeDateFunctions()`

#### getSearchStringEscape

    public java.lang.String getSearchStringEscape()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSearchStringEscape` in class `DatabaseMeta`
Returns:
  search string escape sequence
See Also:
  `DatabaseMetaData.getSearchStringEscape()`

#### getProcedures

    public ResultInterface getProcedures(java.lang.String catalog,
                                         java.lang.String schemaPattern,
                                         java.lang.String procedureNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getProcedures` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getProcedures(String, String, String)`

#### getProcedureColumns

    public ResultInterface getProcedureColumns(java.lang.String catalog,
                                               java.lang.String schemaPattern,
                                               java.lang.String procedureNamePattern,
                                               java.lang.String columnNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getProcedureColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `procedureNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getProcedureColumns(String, String, String, String)`

#### getTables

    public ResultInterface getTables(java.lang.String catalog,
                                     java.lang.String schemaPattern,
                                     java.lang.String tableNamePattern,
                                     java.lang.String[] types)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTables` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `types` - String[]
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTables(String, String, String, String[])`

#### getSchemas

    public ResultInterface getSchemas()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSchemas` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSchemas()`

#### getCatalogs

    public ResultInterface getCatalogs()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getCatalogs` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getCatalogs()`

#### getTableTypes

    public ResultInterface getTableTypes()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTableTypes` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTableTypes()`

#### getColumns

    public ResultInterface getColumns(java.lang.String catalog,
                                      java.lang.String schemaPattern,
                                      java.lang.String tableNamePattern,
                                      java.lang.String columnNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getColumns(String, String, String, String)`

#### getColumnPrivileges

    public ResultInterface getColumnPrivileges(java.lang.String catalog,
                                               java.lang.String schema,
                                               java.lang.String table,
                                               java.lang.String columnNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getColumnPrivileges` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getColumnPrivileges(String, String, String, String)`

#### getTablePrivileges

    public ResultInterface getTablePrivileges(java.lang.String catalog,
                                              java.lang.String schemaPattern,
                                              java.lang.String tableNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTablePrivileges` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTablePrivileges(String, String, String)`

#### getBestRowIdentifier

    public ResultInterface getBestRowIdentifier(java.lang.String catalogPattern,
                                                java.lang.String schemaPattern,
                                                java.lang.String tableName,
                                                int scope,
                                                boolean nullable)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getBestRowIdentifier` in class `DatabaseMeta`
Parameters:
  `catalogPattern` - "LIKE" style pattern to filter result
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableName` - table of interest
  `scope` - of interest
  `nullable` - include nullable columns
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getBestRowIdentifier(String, String, String, int, boolean)`

#### getPrimaryKeys

    public ResultInterface getPrimaryKeys(java.lang.String catalog,
                                          java.lang.String schema,
                                          java.lang.String table)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getPrimaryKeys` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getPrimaryKeys(String, String, String)`

#### getImportedKeys

    public ResultInterface getImportedKeys(java.lang.String catalog,
                                           java.lang.String schema,
                                           java.lang.String table)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getImportedKeys` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getImportedKeys(String, String, String)`

#### getExportedKeys

    public ResultInterface getExportedKeys(java.lang.String catalog,
                                           java.lang.String schema,
                                           java.lang.String table)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getExportedKeys` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getExportedKeys(String, String, String)`

#### getCrossReference

    public ResultInterface getCrossReference(java.lang.String primaryCatalog,
                                             java.lang.String primarySchema,
                                             java.lang.String primaryTable,
                                             java.lang.String foreignCatalog,
                                             java.lang.String foreignSchema,
                                             java.lang.String foreignTable)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getCrossReference` in class `DatabaseMeta`
Parameters:
  `primaryCatalog` - to inspect
  `primarySchema` - to inspect
  `primaryTable` - to inspect
  `foreignCatalog` - to inspect
  `foreignSchema` - to inspect
  `foreignTable` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getCrossReference(String, String, String, String, String, String)`

#### getTypeInfo

    public ResultInterface getTypeInfo()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getTypeInfo` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getTypeInfo()`

#### getIndexInfo

    public ResultInterface getIndexInfo(java.lang.String catalog,
                                        java.lang.String schema,
                                        java.lang.String table,
                                        boolean unique,
                                        boolean approximate)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getIndexInfo` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
  `unique` - only
  `approximate` - allowed
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getIndexInfo(String, String, String, boolean, boolean)`

#### getSchemas

    public ResultInterface getSchemas(java.lang.String catalog,
                                      java.lang.String schemaPattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSchemas` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSchemas(String, String)`

#### getPseudoColumns

    public ResultInterface getPseudoColumns(java.lang.String catalog,
                                            java.lang.String schemaPattern,
                                            java.lang.String tableNamePattern,
                                            java.lang.String columnNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getPseudoColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getPseudoColumns(String, String, String, String)`

#### getDatabaseProductVersion

    public final java.lang.String getDatabaseProductVersion()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getDatabaseProductVersion` in class `DatabaseMeta`
Returns:
  product version as String
See Also:
  `DatabaseMetaData.getDatabaseProductVersion()`

#### getVersionColumns

    public final ResultInterface getVersionColumns(java.lang.String catalog,
                                                   java.lang.String schema,
                                                   java.lang.String table)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getVersionColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schema` - to inspect
  `table` - to inspect
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getVersionColumns(String, String, String)`

#### getUDTs

    public final ResultInterface getUDTs(java.lang.String catalog,
                                         java.lang.String schemaPattern,
                                         java.lang.String typeNamePattern,
                                         int[] types)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getUDTs` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `types` - int[]
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getUDTs(String, String, String, int[])`

#### getSuperTypes

    public final ResultInterface getSuperTypes(java.lang.String catalog,
                                               java.lang.String schemaPattern,
                                               java.lang.String typeNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSuperTypes` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSuperTypes(String, String, String)`

#### getSuperTables

    public final ResultInterface getSuperTables(java.lang.String catalog,
                                                java.lang.String schemaPattern,
                                                java.lang.String tableNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getSuperTables` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `tableNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getSuperTables(String, String, String)`

#### getAttributes

    public final ResultInterface getAttributes(java.lang.String catalog,
                                               java.lang.String schemaPattern,
                                               java.lang.String typeNamePattern,
                                               java.lang.String attributeNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getAttributes` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `typeNamePattern` - "LIKE" style pattern to filter result
  `attributeNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getAttributes(String, String, String, String)`

#### getDatabaseMajorVersion

    public final int getDatabaseMajorVersion()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getDatabaseMajorVersion` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getDatabaseMajorVersion()`

#### getDatabaseMinorVersion

    public final int getDatabaseMinorVersion()

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getDatabaseMinorVersion` in class `DatabaseMeta`
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getDatabaseMinorVersion()`

#### getFunctions

    public final ResultInterface getFunctions(java.lang.String catalog,
                                              java.lang.String schemaPattern,
                                              java.lang.String functionNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getFunctions` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getFunctions(String, String, String)`

#### getFunctionColumns

    public final ResultInterface getFunctionColumns(java.lang.String catalog,
                                                    java.lang.String schemaPattern,
                                                    java.lang.String functionNamePattern,
                                                    java.lang.String columnNamePattern)

Description copied from class: `DatabaseMeta`
INTERNAL

Specified by:
  `getFunctionColumns` in class `DatabaseMeta`
Parameters:
  `catalog` - to inspect
  `schemaPattern` - "LIKE" style pattern to filter result
  `functionNamePattern` - "LIKE" style pattern to filter result
  `columnNamePattern` - "LIKE" style pattern to filter result
Returns:
  ResultInterface
See Also:
  `DatabaseMetaData.getFunctionColumns(String, String, String, String)`